> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/application-performance-monitoring/set-verbosity-level.md).

# Set Verbosity Level

API reference for setting the APM log verbosity level in Luciq. Choose between none, error, warning, info, and debug console output.

You can control the level of verbosity of the Luciq logs using the following APIs.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
APM.logLevel = SDKLogLevel.Debug
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQAPM.logLevel = LCQLogLevelDebug;
```

{% endtab %}

{% tab title="And - Java" %}

<pre class="language-java"><code class="lang-java"><strong>APM.setLogLevel(LogLevel.DEBUG);
</strong></code></pre>

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
APM.setLogLevel(LogLevel.DEBUG)
```

{% endtab %}

{% tab title="RN" %}

```javascript
APM.setLogLevel(APM.logLevel.debug);
```

{% endtab %}

{% tab title="Flutter" %}

```dart
APM.setLogLevel(APM.logLevel.debug);
```

{% endtab %}
{% endtabs %}

Here are the available level values.

* **`None`:** disables all APM SDK console logs.
* **`Error`:** prints errors only, we use this level to let you know if something goes wrong.
* **`Warning`:** displays warnings that will not necessarily lead to errors but should be addressed nonetheless.
* **`Info`:** this is the default level and it logs information that we think is useful without being too verbose.
* **`Debug`:** use this in case you are debugging an issue. Not recommended for production use.
* **`Verbose`:** use this only if `Debug` was not enough and you need more visibility on what is going on under the hood. Similar to the `Debug` level, this is not meant to be used on production environments.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.luciq.ai/references/application-performance-monitoring/set-verbosity-level.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
